﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace SilverlightApplication1
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
		}

		private void RadTileView_TileStateChanged(object sender, Telerik.Windows.RadRoutedEventArgs e)
		{
			RadTileViewItem item = e.Source as RadTileViewItem;
			if (item != null)
			{
				RadFluidContentControl fluidControl = item.Content as RadFluidContentControl;
				if (fluidControl != null)
				{
					switch (item.TileState)
					{
						case TileViewItemState.Maximized:
							fluidControl.State = FluidContentControlState.Large;
							break;
						case TileViewItemState.Minimized:
							fluidControl.State = FluidContentControlState.Small;
							break;
						case TileViewItemState.Restored:
							fluidControl.State = FluidContentControlState.Normal;
							break;
					}
				}
			}
		}
	}
}
